#! /bin/sh
#
# Rebuild Fileutils with patch for __set_need_fake_dot_dotdot() bug
# in DJGPP 2.03
#
# Written by Richard Dawe <rich@phekda.freeserve.co.uk>
#

if [ ! -d $DJDIR/src/libc ]; then
    echo "DJGPP libc sources are not installed - please install djlsr203"
    exit 1
fi

echo Compiling patched opendir.c...

if [ ! -f opendir.o ]; then
    cmd="gcc @$DJDIR/src/gcc.opt -I$DJDIR/include "
    cmd="$cmd -I$DJDIR/src/libc/posix/dirent -c opendir.c"
    echo $cmd
    $($cmd)
fi

cd ../src
echo Changed into `pwd`

cat Makefile | sed -e 's:^\(LDADD.*\)$:\1 ../djgpp/opendir.o:' > Makefile.djg

for i in *.exe; do
    echo Patching $i...
    rm -f $i
    make -f Makefile.djg $i
done
